using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace AnalogClock
{
    public partial class Form1 : Form
    {
        Point lastpoint;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
           
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            AboutMe ab = new AboutMe();
            ab.Show();

        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void analogClock1_DoubleClick(object sender, EventArgs e)
        {
            this.Close();
        }

       /* private void alwaysOnTopToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (this.alwaysOnTopToolStripMenuItem.Checked == true)
            {
                this.alwaysOnTopToolStripMenuItem.Checked = false;
                this.TopMost = false;
            }
            else
            {
                this.alwaysOnTopToolStripMenuItem.Checked = true;
                this.TopMost = true;
            }
        }*/

        private void analogClock1_MouseMove(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                this.Left += e.X - lastpoint.X;
                this.Top += e.Y - lastpoint.Y;
            }
        }

        private void analogClock1_MouseDown(object sender, MouseEventArgs e)
        {
            lastpoint = new Point(e.X, e.Y); 
        }

        private void analogClock1_Load(object sender, EventArgs e)
        {
            int x = Screen.GetWorkingArea(this).Width;
            int y = Screen.GetWorkingArea(this).Height;
            this.Location = new Point(x - this.Size.Width, 0);
        }

        private void colorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ColorDialog cd = new ColorDialog();
            if (cd.ShowDialog() == DialogResult.OK)
            {
                this.BackColor = cd.Color;
            }
        }
    }
}